[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

can't install x11-common

Hi, Martin.

First of all, thanks for your Debian Interix port.

I'm trying to install x11-common package.
Here is installation log (it was not the first attempt so package was
already cached).

$ apt-get install x11-common

Reading package lists... Done
Building dependency tree... Done
x11-common is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
3 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up x11-common (1:7.5+8) ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog
based frontend cannot be used. at
/usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 75.)
debconf: falling back to frontend: Readline
Setting up X server socket directory /tmp/.X11-unix...chown:
`root:root': invalid user
dpkg: error processing x11-common (--configure):
 subprocess post-installation script returned error exit status 1

How that (chown error) can be fixed ?
PS. chown is from
PPS. Can you move bullet about replacing default coreutils by
to the start of INSTALL ? Since default coreutils are often not fully
compatible. For example, mkdir(1) accept only -m, but not --mode.
Default date(1) and chown(1) are also bugged.


Reply to: